Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.jai.imageio
Class PlanarImageLoadedEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.vistech.jai.imageio.PlanarImageLoadedEvent

All Implemented Interfaces:
  java.io.Serializable

public class PlanarImageLoadedEvent
extends java.util.EventObject
implements java.io.Serializable

The event-state class for the planarImageLoaded event. Depending on the source bean, it can carry a single or multiple images.

Version:
  1.0 21 Jan 2000
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Field Summary
`protected javax.media.jai.PlanarImage` | `image`
`protected javax.media.jai.PlanarImage[]` | `imageset`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PlanarImageLoadedEvent(java.lang.Object obj, javax.media.jai.PlanarImage img)` Constructor for a single image.
`PlanarImageLoadedEvent(java.lang.Object obj, javax.media.jai.PlanarImage[] img)` Constructor for multiple images.

Method Summary
`javax.media.jai.PlanarImage` | `getImage()` Returns the planar image loaded by the source bean.
`javax.media.jai.PlanarImage[]` | `getImages()` Returns an array of planar images loaded by the source bean.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### image

    protected javax.media.jai.PlanarImage image

### imageset

    protected javax.media.jai.PlanarImage[] imageset

Constructor Detail

### PlanarImageLoadedEvent

    public PlanarImageLoadedEvent(java.lang.Object obj,
                                  javax.media.jai.PlanarImage img)

  Constructor for a single image.
  Parameters:
    `obj` - the source object.
    `img` - the image to be sent to the target.

### PlanarImageLoadedEvent

    public PlanarImageLoadedEvent(java.lang.Object obj,
                                  javax.media.jai.PlanarImage[] img)

  Constructor for multiple images.
  Parameters:
    `obj` - the source object.
    `img` - an array of images to be sent to the target.

Method Detail

### getImage

    public javax.media.jai.PlanarImage getImage()

  Returns the planar image loaded by the source bean.
  Returns:
    the planar image.

### getImages

    public javax.media.jai.PlanarImage[] getImages()

  Returns an array of planar images loaded by the source bean.
  Returns:
    an array of planar images.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD